Package com.google.android.exoplayer2

## Interface Bundleable.Creator<T extends Bundleable>

- Enclosing interface:
    Bundleable

      public static interface Bundleable.Creator<T extends Bundleable>

  Interface for the static `CREATOR` field of `Bundleable` classes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `fromBundle​(Bundle bundle)` | Restores a `Bundleable` instance from a `Bundle` produced by `Bundleable.toBundle()`.

- - ### Method Detail

    - #### fromBundle

          T fromBundle​(Bundle bundle)

      Restores a `Bundleable` instance from a `Bundle` produced by `Bundleable.toBundle()`.

      It guarantees the compatibility of `Bundle` representations produced by different versions of `Bundleable.toBundle()` by providing best default values for missing fields. It throws an exception if any essential fields are missing.